﻿#chatbot {
    max-width: 400px;
    margin: 0 auto;
    padding: 20px;
    border-radius: 5px;
    align-items: center;
    display: grid;
    justify-content: center;
}

#chat-messages {
    height: 200px;
    overflow-y: scroll;
    border: 1px solid #ccc;
    border-radius: 5px;
    padding: 10px;
    margin-bottom: 10px;
    
}

#user-input {
    display: flex;
    padding: 9px;
}

#user-text {
    flex-grow: 1;
    padding: 5px;
    border: 1px solid #ccc;
    border-radius: 5px;
}

#send-btn {
    margin-left: 5px;
    margin-right: 5px;
    padding: 5px 10px;
    background-color: #007bff;
    color: white;
    border: none;
    border-radius: 5px;
    cursor: pointer;
}

/* Existing styles */

#chatbot {
    position: fixed;
    bottom: 45px;
    right: 20px;
    z-index: 10;
}

#chat-container {
    position: relative;
    width: 400px;
    height: 500px;
    background-color: #fff;
    border: 1px solid #ccc;
    border-radius: 5px;
    overflow: hidden;
    display: none;
}

    #chat-container.closed {
        display: block;
    }

#floating-button {
    position: fixed;
    bottom: 20px;
    right: 20px;
    z-index:11;
    width: 70px;
    height: 70px;
    background-color: #007bff;
    border-radius: 50%;
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: bottom 0.3s;
}


#floating-button.closed {
    bottom: 25px;
    z-index: 11;
}

    #floating-button span {
        display: block;
     
        color: #fff;
        border-radius: 1px;
        transition: transform 0.3s;
    }

   

#chat-messages {
    padding: 10px;
    height: 250px;
    overflow-y: auto;
    margin: 10px;
}

#questions-container {
    padding: 10px;
    overflow:auto;
    height:150px;
}
#question-list li.question{
    background:aliceblue;
    padding:5px;
    width:100%;
    margin-bottom:5px;
}

/* Existing styles */
.message.user{
 font-weight:bold;
 color:#007bff;
}

.logo {
    height: 150px;
    width: 150px;
   /* background: #1d515d;
    border-radius: 50px;*/
    margin: auto;
    padding:20px;
}

.logo img {
    height: 100%;
    width: 100%;
}